Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface ContinuousCoverage

All Superinterfaces:
  Coverage

All Known Subinterfaces:
  ContinuousQuadrilateralGridCoverage, HexagonalGridCoverage, SegmentedCurveCoverage, ThiessenPolygonCoverage, TinCoverage

    @UML(identifier="CV_ContinuousCoverage",
         specification=ISO_19123)
    public interface ContinuousCoverage

extends Coverage

A coverage that returns a distinct record of feature attribute values for any direct position within its domain. Although the domain of a continuous coverage is ordinarily bounded in terms of its spatial and/or temporal extent, it can be subdivided into an infinite number of direct positions.

Method Summary
`Set<Record>` | `evaluate(DirectPosition p, Set<String> list)` Returns a set of records of feature attribute values for the specified direct position.
`Set<? extends DomainObject>` | `evaluateInverse(Record v)` Locates the geometry-value pairs for which value equals the specified record, and return the set of domain objects belonging to those pairs.
`Set<? extends ValueObject>` | `getElements()` Returns the set of value objects used to evaluate the coverage.
`InterpolationMethod` | `getInterpolationMethod()` Returns a code that identifies the interpolation method that shall be used to derive a feature attribute value at any direct position within the value object.
`RecordType` | `getInterpolationParameterTypes()` Returns the optional parameter types for interpolation.
`Set<? extends ValueObject>` | `locate(DirectPosition p)` Returns the set of value objects that contains the specified direct position.
`Set<? extends GeometryValuePair>` | `select(Geometry s, Period t)` Returns the set of geometry-value pairs associated with the value objects of which this continuous coverage is composed.

Methods inherited from interface Coverage
`evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, find, find, getCommonPointRule, getCoordinateReferenceSystem, getDimensionNames, getDomainElements, getDomainExtents, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getRangeElements, getRangeType, getRenderableImage, getSampleDimension, getSources, list`

Method Detail

### getElements

    @UML(identifier="element",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<? extends ValueObject> getElements()

  Returns the set of value objects used to evaluate the coverage. This association is optional - an analytical coverage needs no value objects.

### getInterpolationMethod

    @UML(identifier="interpolationType",
         obligation=OPTIONAL,
         specification=ISO_19123)
    InterpolationMethod getInterpolationMethod()

  Returns a code that identifies the interpolation method that shall be used to derive a feature attribute value at any direct position within the value object. This attribute is optional - no value is needed for an analytical coverage (one that maps direct position to attribute value by using a mathematical function rather than by interpolation).

### getInterpolationParameterTypes

    @UML(identifier="interpolationParameterTypes",
         obligation=OPTIONAL,
         specification=ISO_19123)
    RecordType getInterpolationParameterTypes()

  Returns the optional parameter types for interpolation. Although many interpolation methods use only the values in the coverage range as input to the interpolation function, there are some methods that require additional parameters. This optional attribute specifies the types of parameters that are needed to support the interpolation method identified by the interpolation method. It is a dictionary of names and data types.

### locate

    @UML(identifier="locate",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<? extends ValueObject> locate(DirectPosition p)

  Returns the set of value objects that contains the specified direct position. It shall return an empty set if the direct position is not on any of the objects within the domain of the continuous coverage.

### select

    @UML(identifier="select",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<? extends GeometryValuePair> select(Geometry s,
                                                                                                   Period t)

  Returns the set of geometry-value pairs associated with the value objects of which this continuous coverage is composed.

  Specified by:
    `select` in interface `Coverage`

### evaluate

    @UML(identifier="evaluate",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<Record> evaluate(DirectPosition p,
                                                                                Set<String> list)

  Returns a set of records of feature attribute values for the specified direct position. Most evaluation methods involve interpolation within or around a value object. Normally, the input direct position will fall within only one value object, and the operation will return a record of feature attribute values interpolated within that value object. If the direct position falls on the boundary between two value objects, or within two or more overlapping value objects, the operation shall return a record of feature attribute values derived according to the common point rule. It shall return an empty set if the direct position is not on any value object.

  Specified by:
    `evaluate` in interface `Coverage`

### evaluateInverse

    @UML(identifier="evaluateInverse",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<? extends DomainObject> evaluateInverse(Record v)

  Locates the geometry-value pairs for which value equals the specified record, and return the set of domain objects belonging to those pairs. Normally, the domain objects that shall be returned are those belonging to the geometry-value pairs associated with the value objects of which this continuous coverage is composed. However, the operation may return other domain objects derived from those in the domain, as specified by the application schema. The operation shall return an empty set if none of the geometry-value pairs associated with the continuous coverage has a value equal to the specified record.

  Example:This operation could return a set of contours derived from the feature attribute values associated with the grid points of a grid coverage.

  Specified by:
    `evaluateInverse` in interface `Coverage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.